Page MenuHomePhabricator

Enable the blocking feature of AbuseFilter on zhwiki
Closed, ResolvedPublic

Description

Per the community consensus, please enable abuse filter blocking on zhwiki. Thanks a lot.

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptNov 26 2018, 1:38 AM
Cwek added a subscriber: Cwek.Dec 20 2018, 12:35 PM
Ammarpad claimed this task.Jan 22 2019, 5:41 PM
Ammarpad triaged this task as Normal priority.
Ammarpad added a subscriber: Ammarpad.

I'll work on this.

@WhitePhosphorus; How long should the block lasts? And explain whether the duration should be the same or different for logged-in and IP users.

@Ammarpad, according to blocking policy on zhwiki, 24 hours should be a reasonable duration for both logged-in and IP users.

Change 486103 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Enable blocking feature of AbuseFilter in zh.wikipedia

https://gerrit.wikimedia.org/r/486103

Copying my comment from gerrit: please note that $wgAbuseFilterBlockDuration and $wgAbuseFilterAnonBlockDuration are just the default durations, but actual block expiries can be customized for every filter.

@WhitePhosphorus and I know this. When the admin forgets to set the duration, this value (24 hrs) is better than origin one.

Err, sorry for interruption, but what about the consensus?

Err, sorry for interruption, but what about the consensus?

About enabling the feature or the default duration?

@Ammarpad : sorry to disturb you but two months have past and I'm wondering when could we get that enabled, or are there any stuff we need to provide? Thanks a lot!

Change 486103 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Enable blocking feature of AbuseFilter in zh.wikipedia

https://gerrit.wikimedia.org/r/486103

@WhitePhosphorus, I was busy somewhere else and no one merged it. It'll hopefully be deployed next week.

Change 486103 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable blocking feature of AbuseFilter in zh.wikipedia

https://gerrit.wikimedia.org/r/486103

Mentioned in SAL (#wikimedia-operations) [2019-04-08T11:41:26Z] <hoo@deploy1001> Synchronized wmf-config/abusefilter.php: Enable blocking feature of AbuseFilter in zh.wikipedia (T210364) (duration: 00m 58s)

Urbanecm closed this task as Resolved.Apr 8 2019, 11:44 AM
Urbanecm added a subscriber: Urbanecm.

Deployed. Should you notice any issues, please reopen&comment.